Bug 463771 - Package review: perl-Probe-Perl
Package review: perl-Probe-Perl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 457517
  Show dependency treegraph
 
Reported: 2008-09-24 12:15 EDT by Marcela Mašláňová
Modified: 2012-03-30 14:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 05:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-09-24 12:15:00 EDT
description
This module provides methods for obtaining information about the currently
running perl interpreter. It originally began life as code in the
Module::Build project, but has been externalized here for general use.

http://mmaslano.fedorapeople.org/perl-Probe-Perl/perl-Probe-Perl.spec
http://mmaslano.fedorapeople.org/perl-Probe-Perl/perl-Probe-Perl-0.01-1.fc9.src.rpm
Comment 1 Dan Horák 2008-09-25 02:57:04 EDT
formal review is here, see the notes below:

OK	source files match upstream:
	    36a9dde1953c0ab0bcd3998fca876b8f20f245cd  Probe-Perl-0.01.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK*	final provides and requires look sane.
OK	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- the explicit R: perl(Config) is redundant, it is found automagically

this package is APPROVED
Comment 2 Marcela Mašláňová 2008-09-25 04:30:03 EDT
I'll remove perl(Config) for CVS build.
Comment 3 Marcela Mašláňová 2008-09-25 04:31:49 EDT
New Package CVS Request
=======================
Package Name: perl-Probe-Perl
Short Description: obtain information about perl interpreter
Owners: mmaslano@redhat.com
Branches: rawhide
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Kevin Fenzi 2008-09-28 15:01:04 EDT
cvs done.
Comment 5 Paul Howarth 2012-03-14 07:43:16 EDT
Marcela, could I please have an EPEL-5 branch for this package?
Comment 6 Marcela Mašláňová 2012-03-14 09:10:58 EDT
New Package CVS Request
=======================
Package Name: perl-Probe-Perl
Short Description: obtain information about perl interpreter
Owners: pghmcfc
Branches: EL-5
InitialCC: perl-devel

[Paul asked me for a new branch for EL-5.]
Comment 7 Gwyn Ciesla 2012-03-14 09:15:17 EDT
Already exists, use a Package Change request to add a branch.  And use
perl-sig, not perl-devel.
Comment 8 Paul Howarth 2012-03-14 09:36:08 EDT
Package Change Request
======================
Package Name: perl-Probe-Perl
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2012-03-14 09:40:00 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-03-14 10:05:41 EDT
perl-Probe-Perl-0.01-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Probe-Perl-0.01-4.el5
Comment 11 Fedora Update System 2012-03-30 14:04:26 EDT
perl-Probe-Perl-0.01-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.